﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections.ObjectModel;

namespace TileViewWithSelection
{
	public class MainPageViewModel
	{
		private ObservableCollection<Contact> items;

		public MainPageViewModel()
		{
			items = new ObservableCollection<Contact>();

			items.Add(new Contact("Donald Duck"));
			items.Add(new Contact("Mickey Mouse"));
			items.Add(new Contact("Arnold Schwarzenegger"));
		}

		public ObservableCollection<Contact> Items
		{
			get
			{
				return items;
			}
		}

		public void AddItem()
		{
			this.items.Add(new Contact((this.items.Count + 1).ToString()));
		}

		public void DeleteItem()
		{
			if (this.items.Count > 0)
				this.items.RemoveAt(this.items.Count - 1);
		}
	}
}
